#ifndef ASSERTIONEXCEPTION_H_
#define ASSERTIONEXCEPTION_H_

#include "SimulatorException.h"

/** Exception for assertion failures */
class AssertionException: public SimulatorException {
public:
	AssertionException(const std::string msg): SimulatorException(msg) {};
	AssertionException(const char* msg): SimulatorException(msg) {};
	~AssertionException() {};
};

#endif /*ASSERTIONEXCEPTION_H_*/
